% System parameters (MAPK)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%   H.-X. Zhang, W.P. Dempsey, Jr., and J. Goutsias    %%%%%%%%%%%
%%%%%%%%%%        Probabilistic Sensitivity Analysis of         %%%%%%%%%%%
%%%%%%%%%%            Biochemical Reaction Systems              %%%%%%%%%%%
%%%%%%%%%%  The Journal of Chemical Physics, 131, 094101, 2009  %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%              MAPK Signaling Network                  %%%%%%%%%%%
%%%%%%%%%%                 System Simulation                    %%%%%%%%%%%
%%%%%%%%%%             Last Modified: 08/11/2009                %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

M   = 21;               % Number of reactions
N   = 23;               % Number of molecular species

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Rate constant values
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

kappa     = repmat(0,[2*M,1]);

kappa(1)  = 3.0000e+00;
kappa(2)  = 0.0000e-00;
kappa(3)  = 1.6605e-06;
kappa(4)  = 5.3000e-03;
kappa(5)  = 1.0000e+00;
kappa(6)  = 1.1624e-06;
kappa(7)  = 1.1790e-04;
kappa(8)  = 2.0000e-01;
kappa(9)  = 1.0000e+00;
kappa(10) = 0.0000e+00;
kappa(11) = 1.9428e-05;
kappa(12) = 3.3000e-02;
kappa(13) = 3.5000e+00;
kappa(14) = 0.0000e+00;
kappa(15) = 1.9428e-05;
kappa(16) = 3.3000e-02;
kappa(17) = 2.9000e+00;
kappa(18) = 0.0000e+00;
kappa(19) = 2.3746e-05;
kappa(20) = 8.0000e-01;
kappa(21) = 5.8000e-02;
kappa(22) = 0.0000e+00;
kappa(23) = 4.4835e-07;
kappa(24) = 5.0000e-01;
kappa(25) = 5.8000e-02;
kappa(26) = 0.0000e+00;
kappa(27) = 8.8673e-05;
kappa(28) = 1.8330e-02;
kappa(29) = 1.6000e+01;
kappa(30) = 0.0000e+00;
kappa(31) = 8.8673e-05;
kappa(32) = 1.8330e-02;
kappa(33) = 5.7000e+00;
kappa(34) = 0.0000e+00;
kappa(35) = 2.3414e-05;
kappa(36) = 6.0000e-01;
kappa(37) = 2.4600e-01;
kappa(38) = 0.0000e+00;
kappa(39) = 8.3027e-06;
kappa(40) = 5.0000e-01;
kappa(41) = 0.0000e+00;
kappa(42) = 2.4600e-01; 

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Stoichiometry matrix
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

stoich = xlsread('stoichmtry.xls');