% Plot molecular dynamics (MAPK)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%   H.-X. Zhang, W.P. Dempsey, Jr., and J. Goutsias    %%%%%%%%%%%
%%%%%%%%%%        Probabilistic Sensitivity Analysis of         %%%%%%%%%%%
%%%%%%%%%%            Biochemical Reaction Systems              %%%%%%%%%%%
%%%%%%%%%%  The Journal of Chemical Physics, 131, 094101, 2009  %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%              MAPK Signaling Network                  %%%%%%%%%%%
%%%%%%%%%%                 System Simulation                    %%%%%%%%%%%
%%%%%%%%%%             Last Modified: 08/11/2009                %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

close all

lnw=2;

figure
plot(t/60,q(:,1),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Ras-GTP}')
   saveas(gcf,'..\results\q1.fig') 
   
figure
plot(t/60,q(:,2),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Raf}')
   saveas(gcf,'..\results\q2.fig')
   
figure
plot(t/60,q(:,3),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Raf-Ras-GTP}')
   saveas(gcf,'..\results\q3.fig')
      
figure
plot(t/60,q(:,4),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Raf*}')
   saveas(gcf,'..\results\q4.fig')

figure
plot(t/60,q(:,5),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Pho1}')
   saveas(gcf,'..\results\q5.fig')
   
figure
plot(t/60,q(:,6),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Raf*-Pho1}')
   saveas(gcf,'..\results\q6.fig')

figure
plot(t/60,q(:,7),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK}')
   saveas(gcf,'..\results\q7.fig')

figure
plot(t/60,q(:,8),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-Raf*}')
   saveas(gcf,'..\results\q8.fig')
   
figure
plot(t/60,q(:,9),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-P}')
   saveas(gcf,'..\results\q9.fig')

figure
plot(t/60,q(:,10),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-P-Raf*}')
   saveas(gcf,'..\results\q10.fig')

figure
plot(t/60,q(:,11),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-PP}')
   saveas(gcf,'..\results\q11.fig')

figure
plot(t/60,q(:,12),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Pho2}')
   saveas(gcf,'..\results\q12.fig')
   
figure
plot(t/60,q(:,13),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-PP-Pho2}')
   saveas(gcf,'..\results\q13.fig')

figure
plot(t/60,q(:,14),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf MEK-P-Pho2}')
   saveas(gcf,'..\results\q14.fig')

figure
plot(t/60,q(:,15),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK}')
   saveas(gcf,'..\results\q15.fig')

figure
plot(t/60,q(:,16),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-MEK-PP}')   
   saveas(gcf,'..\results\q16.fig')
   
   
figure
plot(t/60,q(:,17),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-P}')   
   saveas(gcf,'..\results\q17.fig')

figure
plot(t/60,q(:,18),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-P-MEK-PP}') 
   saveas(gcf,'..\results\q18.fig')
   
figure
plot(t/60,q(:,19),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-PP}')   
   saveas(gcf,'..\results\q19.fig')

figure
plot(t/60,q(:,20),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Pho3}')   
   saveas(gcf,'..\results\q20.fig')
   
figure
plot(t/60,q(:,21),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-PP-Pho3}')   
   saveas(gcf,'..\results\q21.fig')

figure
plot(t/60,q(:,22),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf ERK-P-Pho3}')   
   saveas(gcf,'..\results\q22.fig')

figure
plot(t/60,q(:,23),'Color',[1 0 0],'Linewidth',lnw)
   xlabel('time (minutes)');
   ylabel('activity (molecules/cell)')
   title('{\bf Ras-GTP*}')  
   saveas(gcf,'..\results\q23.fig')