% Plot sensitivity results (ROSA-DV)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%   H.-X. Zhang, W.P. Dempsey, Jr., and J. Goutsias    %%%%%%%%%%%
%%%%%%%%%%        Probabilistic Sensitivity Analysis of         %%%%%%%%%%%
%%%%%%%%%%            Biochemical Reaction Systems              %%%%%%%%%%%
%%%%%%%%%%  The Journal of Chemical Physics, 131, 094101, 2009  %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%         Reaction-Oriented Sensitivity Analysis       %%%%%%%%%%%
%%%%%%%%%%             Derivative-Based Approximation           %%%%%%%%%%%
%%%%%%%%%%                Last Modified: 08/11/2009             %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

figure
h = stem(reac,[sigmat;sigmad;sigmas]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',8,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',8,'Marker','square')
set(h(3),'MarkerFaceColor','green','MarkerSize',8,'Marker','diamond')
axis([0 M+1 -0.04 1.1*max(max(max(sigmat),max(sigmad)),max(sigmas))])
set(gca,'xtick',(1:2:M),'FontSize',12)
legend('timing','duration','strength')
xlabel('reaction number','FontSize',14)
ylabel('approximate SESI','FontSize',14)
title('{\bf ROSA}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)
saveas(gcf,'..\results\figures\sesi.fig')